feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.MutableToPure

# Documentation

data MutableToPure a where

Constructors

RunMutableArray :: Type a => MutableToPure (Mut (MArr a) :-> Full [a]) |
WithArray :: Type b => MutableToPure (MArr a :-> (([a] -> Mut b) :-> Full (Mut b))) |

Instances

EvalBind MutableToPure |
Semantic MutableToPure |
Eval MutableToPure |
Render MutableToPure |
ToTree MutableToPure |
Equality MutableToPure |
Typed MutableToPure |
SizeProp MutableToPure |
Sharable MutableToPure |
(:<: MutableToPure dom, Optimize dom dom) => Optimize MutableToPure dom |
AlphaEq dom dom dom env => AlphaEq MutableToPure MutableToPure dom env |